io.vertx.reactivex.ext.auth.jdbc

## Class JDBCAuthentication

- java.lang.Object
- - io.vertx.reactivex.ext.auth.authentication.AuthenticationProvider
  - - io.vertx.reactivex.ext.auth.jdbc.JDBCAuthentication

-     public class JDBCAuthentication
      extends AuthenticationProvider

  Factory interface for creating `AuthenticationProvider` instances that use the Vert.x JDBC client. By default the hashing strategy is SHA-512. If you're already running in production this is backwards compatible, however for new deployments or security upgrades it is recommended to use the PBKDF2 strategy as it is the current OWASP recommendation for password storage.

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static io.vertx.lang.rx.TypeArg<JDBCAuthentication>` | `__TYPE_ARG`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JDBCAuthentication(JDBCAuthentication delegate)`
    `JDBCAuthentication(Object delegate)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `static JDBCAuthentication` | `create(JDBCClient client, JDBCAuthenticationOptions options)` Create a JDBC auth provider implementation
    `static JDBCAuthentication` | `create(JDBCClient client, JDBCHashStrategy hashStrategy, JDBCAuthenticationOptions options)` Deprecated.
    `boolean` | `equals(Object o)`
    `JDBCAuthentication` | `getDelegate()`
    `String` | `hash(String id, Map<String,String> params, String salt, String password)` Hashes a password to be stored.
    `String` | `hash(String id, String salt, String password)` Hashes a password to be stored.
    `int` | `hashCode()`
    `static JDBCAuthentication` | `newInstance(JDBCAuthentication arg)`
    `String` | `toString()`

    - ### Methods inherited from class io.vertx.reactivex.ext.auth.authentication.AuthenticationProvider

      `authenticate, authenticate, authenticate, authenticate, newInstance, rxAuthenticate, rxAuthenticate`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final io.vertx.lang.rx.TypeArg<JDBCAuthentication> __TYPE_ARG

  - ### Constructor Detail

    - #### JDBCAuthentication

          public JDBCAuthentication(JDBCAuthentication delegate)

    - #### JDBCAuthentication

          public JDBCAuthentication(Object delegate)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `AuthenticationProvider`

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `AuthenticationProvider`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `AuthenticationProvider`

    - #### getDelegate

          public JDBCAuthentication getDelegate()

      Overrides:
        `getDelegate` in class `AuthenticationProvider`

    - #### create

          @Deprecated
          public static JDBCAuthentication create(JDBCClient client,
                                                              JDBCHashStrategy hashStrategy,
                                                              JDBCAuthenticationOptions options)

      Deprecated.
      Create a JDBC auth provider implementation
      Parameters:
        `client` - the JDBC client instance
        `hashStrategy` - legacy hashing strategy
        `options` - authentication options
      Returns:
        the auth provider

    - #### create

          public static JDBCAuthentication create(JDBCClient client,
                                                  JDBCAuthenticationOptions options)

      Create a JDBC auth provider implementation
      Parameters:
        `client` - the JDBC client instance
        `options` - authentication options
      Returns:
        the auth provider

    - #### hash

          public String hash(String id,
                             Map<String,String> params,
                             String salt,
                             String password)

      Hashes a password to be stored. See: `HashingStrategy.hash(java.lang.String, java.util.Map<java.lang.String, java.lang.String>, java.lang.String, java.lang.String)`
      Parameters:
        `id` -
        `params` -
        `salt` -
        `password` -
      Returns:

    - #### hash

          public String hash(String id,
                             String salt,
                             String password)

      Hashes a password to be stored. See: `HashingStrategy.hash(java.lang.String, java.util.Map<java.lang.String, java.lang.String>, java.lang.String, java.lang.String)`
      Parameters:
        `id` -
        `salt` -
        `password` -
      Returns:

    - #### newInstance

          public static JDBCAuthentication newInstance(JDBCAuthentication arg)

Copyright © 2020 Eclipse. All rights reserved.